--[[

Essential v1 Menu by OHMYMODZ

*Credits*

Credits to Zero2Hero first creator of .Lua Menu & OHMYMODZ.

Please do not re-publish without creator's permission!

*Controls*

	F9					Open
	F10                 Close
	PageUp/PageDown	    Navigate through options
	Insert 				Select

--]]

key = {}
key.openmenu       = 120
key.closemenu      = 121

local Menu = {}

function Menu.tick()

	Menu.GUI.tick()

	if(get_key_pressed(key.closemenu)) then
		Menu.GUI.hidden = true
	end

	if(get_key_pressed(key.openmenu)) then
		Menu.GUI.hidden = false
	end
end
function Menu.Name()
         print("Credits to OHMYMODZ")
end
function Menu.InvinciblePlayer()
	local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
	if(playerExists) then
	   PLAYER.SET_PLAYER_INVINCIBLE(player, true)
	   ENTITY.SET_ENTITY_HEALTH(playerPed, 100)
	   ENTITY.SET_ENTITY_MAX_HEALTH(player, 100)
	   print("Invincible Enabled")
	end
end
function booltoint(bool)
	if bool then
		return 1
	else
		return 0
	end
end
function Menu.keyDelay()
	wait(500)
end
function Menu.InvincibleVehicle()
    local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
    if(playerExists) then
    if(PED.IS_PED_IN_ANY_VEHICLE(playerPed, false)) then
	    local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed, true)
		    ENTITY.SET_ENTITY_INVINCIBLE(veh, true)
			VEHICLE.SET_VEHICLE_CAN_BE_VISIBLY_DAMAGED(veh, false) 
			VEHICLE.SET_VEHICLE_TYRES_CAN_BURST(veh, false)
			VEHICLE.SET_VEHICLE_WHEELS_CAN_BREAK(veh, false)
			VEHICLE.SET_VEHICLE_FIXED(veh)
        end
    end
end
function Menu.ClearWantedLevel()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
       PLAYER.CLEAR_PLAYER_WANTED_LEVEL(player)
	   PLAYER.SET_POLICE_IGNORE_PLAYER(player)
	   PLAYER.SET_MAX_WANTED_LEVEL(player, 0)
	   PLAYER.SET_WANTED_LEVEL_MULTIPLIER(player, 0.00)
       print("Never Wanted Enabled")
    end
end
function Menu.InfiniteAmmo()
	local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
       WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_KNIFE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BOTTLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_NIGHTSTICK"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HAMMER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BAT"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_GOLFCLUB"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_CROWBAR"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_COMBATPISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_APPISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL50"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MICROSMG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SMG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTSMG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTRIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_CARBINERIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_ADVANCEDRIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_COMBATMG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_PUMPSHOTGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SAWNOFFSHOTGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTSHOTGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BULLPUPSHOTGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_STUNGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SNIPERRIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYSNIPER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_GRENADELAUNCHER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_GRENADELAUNCHER_SMOKE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_RPG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MINIGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_GRENADE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_STICKYBOMB"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SMOKEGRENADE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BZGAS"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MOLOTOV"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_FIREEXTINGUISHER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_PETROLCAN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SNSPISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SPECIALCARBINE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYPISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BULLPUPRIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HOMINGLAUNCHER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_PROXMINE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_SNOWBALL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_VINTAGEPISTOL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_DAGGER"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_FIREWORK"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MUSKET"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_MARKSMANRIFLE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYSHOTGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_GUSENBERG"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_HATCHET"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BALL"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_FLARE"))
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_DIGISCANNER"));
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BRIEFCASE"));
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_BRIEFCASE_02"));
	   WEAPON.SET_PED_INFINITE_AMMO(playerPed, true, GAMEPLAY.GET_HASH_KEY("WEAPON_REMOTESNIPER"));
       print("Infinite Ammo Enabled")
	end
end
function Menu.HighBulletDamage()
	local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
       PLAYER.SET_PLAYER_WEAPON_DAMAGE_MODIFIER(player, 999999);
       print("Explosive Ammo Enabled")
	end
end
function Menu.MaxEndurance()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    if(playerExists) then
	   PLAYER._SET_MOVE_SPEED_MULTIPLIER(player, 1.49);
	   PLAYER._SET_SWIM_SPEED_MULTIPLIER(player, 1.49);
	   print("Fast Run Enabled")
    end
end
function Menu.SpecialAbility()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
         PLAYER._RECHARGE_SPECIAL_ABILITY(player, true);
         print("Recharge Special Ability Enabled")
    end
end
function Menu.AllWeapons()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_KNIFE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BOTTLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_NIGHTSTICK"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HAMMER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BAT"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_GOLFCLUB"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_CROWBAR"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_COMBATPISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_APPISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL50"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MICROSMG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SMG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTSMG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTRIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_CARBINERIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_ADVANCEDRIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_COMBATMG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PUMPSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SAWNOFFSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_ASSAULTSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BULLPUPSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PUMPSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SNIPERRIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYSNIPER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_RPG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MINIGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_GRENADE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_STICKYBOMB"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SMOKEGRENADE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SNSPISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SPECIALCARBINE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYPISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BULLPUPRIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HOMINGLAUNCHER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PROXMINE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_VINTAGEPISTOL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_DAGGER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_FIREWORK"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MUSKET"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MARKSMANRIFLE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HEAVYSHOTGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_HATCHET"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_FIREWORK"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_PETROLCAN"), 1000, true);
	     WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_STUNGUN"), 1000, true);
	     WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_SNOWBALL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_GUSENBERG"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_FLARE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BALL"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_DIGISCANNER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_FIREEXTINGUISHER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_MOLOTOV"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BZGAS"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_GRENADELAUNCHER_SMOKE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_DIGISCANNER"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BRIEFCASE"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_BRIEFCASE_02"), 1000, true);
		 WEAPON.GIVE_DELAYED_WEAPON_TO_PED(playerPed, GAMEPLAY.GET_HASH_KEY("WEAPON_REMOTESNIPER"), 1000, true);
         print("All Weapons Enabled")
    end
end
function Menu.PickUpMoney()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
    local playerPosition = ENTITY.GET_ENTITY_COORDS(PLAYER.PLAYER_PED_ID(), false)
         OBJECT.CREATE_AMBIENT_PICKUP(GAMEPLAY.GET_HASH_KEY("PICKUP_MONEY_VARIABLE"), playerPosition.x, playerPosition.y, playerPosition.z, 0, 1000, 1, false, true)
         print("Pickup Money Enabled")  
    end
end
function Menu.Bodyguards()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
	if not playerExists then
		return
	end
	local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed,true)
	local BodyguardskinID = GAMEPLAY.GET_HASH_KEY("U_M_Y_RSRanger_01")
	local coords = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(playerPed, 0.0, 1.0, 0.0);
	STREAMING.REQUEST_MODEL(BodyguardskinID)
	local Bodyguards = PED.CREATE_PED( 26, BodyguardskinID, coords.x, coords.y, coords.z,1,false,true)
	local group = PLAYER.GET_PLAYER_GROUP(PLAYER.PLAYER_ID());
	PED.SET_PED_AS_GROUP_MEMBER(Bodyguards, group);
	AI.TASK_COMBAT_HATED_TARGETS_AROUND_PED(Bodyguards, 5000, 0);
	PED.SET_PED_KEEP_TASK(Bodyguards, true);
	WEAPON.GIVE_DELAYED_WEAPON_TO_PED(Bodyguards, GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, true);
	ENTITY.SET_ENTITY_INVINCIBLE(Bodyguards, false);	
	print("Secret Weapons Enabled")
end
function Menu.Explosion()
    local playerPed = PLAYER.PLAYER_PED_ID()
    local player = PLAYER.GET_PLAYER_PED(playerPed)
    local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed) 
    local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
    if(playerExists) then
	local playerPosition = ENTITY.GET_ENTITY_COORDS(PLAYER.PLAYER_PED_ID(), false)
         FIRE.ADD_EXPLOSION(playerPosition.x, playerPosition.y, playerPosition.z, GAMEPLAY.GET_HASH_KEY("FIREWORK"), 100.0, true, false, 2.0)
         print("Explosion Enabled")
    end
end
function Menu.By()
         print("Credits to OHMYMODZ")
end
function Menu.init()
	
	Menu.GUI = Libs["GUI"]

    Menu.GUI.addButton("* Essential v1 *",Menu.Name,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Invincible Player",Menu.InvinciblePlayer,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Invincible Vehicle",Menu.InvincibleVehicle,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Clear Wanted Level",Menu.ClearWantedLevel,0,0.2,0.05,0.05)
    Menu.GUI.addButton("Infinite Ammo",Menu.InfiniteAmmo,0,0.2,0.05,0.05)
	Menu.GUI.addButton("High Bullet Damage",Menu.HighBulletDamage,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Max Endurance",Menu.MaxEndurance,0,0.2,0.05,0.05)
    Menu.GUI.addButton("Special Ability",Menu.SpecialAbility,0,0.2,0.05,0.05)
	Menu.GUI.addButton("All Weapons",Menu.AllWeapons,0,0.2,0.05,0.05)
    Menu.GUI.addButton("Pickup Money",Menu.PickUpMoney,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Bodyguards",Menu.Bodyguards,0,0.2,0.05,0.05)
	Menu.GUI.addButton("Add Explosion",Menu.Explosion,0,0.2,0.05,0.05)
	Menu.GUI.addButton("* By OHYMYMODZ *",Menu.By,0,0.2,0.05,0.05)
	
    Menu.GUI.hidden = true
end
function Menu.unload()

end
--[[

Credits to Zero2Hero first creator of .Lua Menu & OHMYMODZ.

Please do not re-publish without creator's permission!

--]]

return Menu